function [assignment_ids] = GetAssignmentIDs(result_dir)
%GETASSIGNMENTIDS Return a list of all assignment ids in specified dir
  
  filenames = dir([result_dir '*.png']);
  filenames = {filenames.name};
  
  assignment_regexp = '(.{30})__.*';
  assignment_ids = regexp(filenames, assignment_regexp, 'tokens');
  assignment_ids = CollapseCells(assignment_ids);
  assignment_ids = unique(assignment_ids);
end